Loading...
Searching...
No Matches
net::EthSettings Struct Reference

Ethernet interface settings. More...

`import "Net.idl";`

## Public Attributes

EthLinkMode | linkMode
| Link mode.
int | mtu
| Maximum Transfer Unit (MTU)
EthAuthType | authType
| Authentication type.
EapAuthSettings | eap
| EAP Settings for 802::1x authentication.
boolean | lldpEnabled
| `true` if LLDP is enabled

## Detailed Description

Ethernet interface settings.

Definition at line 242 of file Net.idl.

## Member Data Documentation

## authType

EthAuthType net::EthSettings::authType

Authentication type.

Definition at line 245 of file Net.idl.

## eap

EapAuthSettings net::EthSettings::eap

EAP Settings for 802::1x authentication.

Definition at line 246 of file Net.idl.

## linkMode

EthLinkMode net::EthSettings::linkMode

Link mode.

Definition at line 243 of file Net.idl.

## lldpEnabled

boolean net::EthSettings::lldpEnabled

`true` if LLDP is enabled

Definition at line 247 of file Net.idl.

## mtu

int net::EthSettings::mtu

Maximum Transfer Unit (MTU)

Definition at line 244 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl